package com.eddsteel.posts.leastpower

import java.time.{LocalDate => Date, ZoneOffset => TimeZone}

package object model {

  final case class User(
    id: ID, birthday: Date, timezone: TimeZone,
    favoriteThing: String, pets: Set[Pet], whichFriendAreYou: Friend)

  type ID = Long
  type Pet = String

  sealed trait Friend
  object Friends {
    case object Joey extends Friend
    case object Phoebe extends Friend
    case object Chandler extends Friend
    case object Rachel extends Friend
    case object Monica extends Friend
    // we definitely don't need Ross in our MVP. No one likes you Ross.
  }
}
